package me.km.effects.active;

import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.SoundEvents;

public class Musket extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {  
        EffectUtils.playSound(p, SoundEvents.ENTITY_FIREWORK_BLAST);
        double spread = 0.2d - power * 0.01d;
        if(spread < 0)
        {
            spread = 0;
        }
        // TODO
        //Utils.shootItem(p, new ItemStack(Material.STONE_BUTTON), 2.5d, power * 2, 0.5d, 0.5d, 0.5d, spread);
        return true;
    }
    
    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 5 * manaFactor;
    }
}
