package me.km.snuviscript;

import me.km.KajetansMod;
import me.km.inventory.CustomContainer;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.inventory.ClickType;

public class QuestInventoryHolder extends CustomContainer
{
    private final QuestData qd;
    private final QuestsEvents e;
    private final SnuviInventory inv;

    public QuestInventoryHolder(SnuviInventory inv, EntityPlayerMP p, QuestData qd) 
    {
        super(inv, p);
        this.qd = qd;
        this.inv = inv;
        this.e = KajetansMod.quest.getEvent(QuestsEvents.class);
    }

    @Override
    public boolean noClicking(int slot, int dragType, ClickType click, EntityPlayerMP p) 
    {
        return e.QuestClickInventory(qd, inv, slot, click, p);
    }

    @Override
    public void onContainerClosed(EntityPlayer p) 
    {
        if(!e.QuestCloseInventory(qd, inv, p))
        {
            super.onContainerClosed(p);
        }
    }
}
