package me.km.effects.active;

import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.SoundEvents;

public class Stone extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EffectUtils.playSound(p, SoundEvents.ENTITY_ARROW_SHOOT, null);
        double spread = 0.3d - power * 0.015d;
        if(spread < 0)
        {
            spread = 0;
        }
        // TODO
        //Utils.shootItem(p, new ItemStack(Material.COBBLESTONE), 0.9d, power * 2, 0.2d, 0.5d, 0.2d, spread);
        return true;
    }
    
    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 3 * manaFactor;
    }
}
